#version 410

layout(location = 0) in vec3 position;
layout(location = 1) in vec2 uvCoord;

uniform mat4 M;
uniform mat4 VP;

out vec2 textureCoords;

void main()
{
	gl_Position = VP * M * vec4(position, 1.0);
    textureCoords = uvCoord;
}